@import './../../../../assets/styles/variables';

.tabs {
  display: flex;
  &__tab {
    cursor: pointer;
    &_disabled {
      opacity: 0.5;
      cursor: not-allowed;
    }
    &__icon {
      margin-right: 9px;
    }
  }
  &__right-area {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding-right: 21px;
    flex-grow: 1;
  };

  &.theme-entity {
    height: 56px;
  }
  &.theme-entity + .card, &.theme-entity + div > .card,
  &.theme-entity + div > div:first-child,
  &.theme-entity + div:first-child {
    border-top-left-radius: 0px;
  }
  &.theme-entity > &__tab {
    display: flex;
    justify-content: center;
    position: relative;
    height: 100%;
    padding: 17px 30px;
    background-color: #808FA7;
    margin-bottom: -1px;
    align-items: center;
    z-index: 100;
    color: white;
    border: 1px solid #DBDFEA;
    border-bottom: none;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    font-size: $default-font-size-plus-2;
    font-weight: 500;
    line-height: 18px;
    &:not(:last-child) {
      margin-right: 5px;
    }
    &_active {
      font-weight: 600;
      color: #3C4047;
      background-color: white;
      margin-top: 0px;
      height: 57px;
    }
    &_disabled {
      background-color: #3C4047;
    }
  }
  &.theme-entity > &__tab >  &__tab__icon {
    color: white;
    &_active {
      color: #59927C;
    }
  }

  &.theme-status {
    border-radius: 4px 4px 0 0;
    background-color: #FFFFFF;
    height: 70px;
  }
  &.theme-status > &__tab {
    font-weight: bold;
    color: #49545A;
    font-size: $default-font-size-plus-2;
    height: 100%;
    padding: 0px 20px;
    &_active {
      padding: 5px 20px 0px 20px;
    }
  }
  &.theme-status > &__tab > &__tab-inner-wrap {
    padding: 6px;
    display: flex;
    height: 100%;
    align-items: center;
    &_active {
      border-bottom: 5px solid #59927C;
    }
  }

  &.theme-inner-entity {
    height: 50px;
  }
  &.theme-inner-entity > &__tab {
    align-items: center;
    display: flex;
    justify-content: center;
    flex-grow: 1;

    //padding: 10px 40px;
    background-color: #F1F2F4;
    border-top: 1px solid #DBDFEA;
    border-bottom: 1px solid #DBDFEA;

    font-weight: bold;
    color: #49545A;
    z-index: 100;
    &:nth-child(2n){
      border-right: 1px solid #DBDFEA;
      border-left: 1px solid #DBDFEA;
    }
    &_active {
      background-color: white;
      border-top: 3px solid #5B9E87;
      border-bottom: none;
      padding-bottom: 3px;
    }
  }

  &.theme-svg {
    display: flex;
    cursor: pointer;
    background-color: #C8CCCF;
    padding-top: 10px;
    padding-left: 13px;
    border-bottom: 1px solid #bbb;
  }
  &.theme-svg > &__tab {
    display: flex;
    align-items: center;
  }
  &.theme-svg > &__tab_active > &__tab__svg-filler {
    width: calc(100% - 2px);
    height: 1px;
    position: absolute;
    bottom: -1px;
    background-color: white;
    left: 1px;
  }
  &.theme-svg > &__tab_active {
    position: relative;
  }
  &.theme-svg > &__tab > &__label-wrap {
    display: flex;
    align-self: center;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    background-color: #D7E1EF;
    border-top: 1px solid #A5AFBE;
    font-weight: 600;
    color: #485262;
    padding: 0px 10px;
    font-size: $default-font-size-plus-3;
  }
  &.theme-svg > &__tab_active > &__label-wrap {
    background-color: white;
  }
  &.theme-svg > &__tab > .svg-border > path {
    fill: #D7E1EF;
    stroke: #A5AFBE;
  }
  &.theme-svg > &__tab_active > .svg-border > path {
    fill: white;
  }
}
